Summary:	Bonjour (aka Rendezvous, aka Zeroconf) module for the Asterisk PBX
Name:		asterisk-res_bonjour
Version:	1.0
Release:	%mkrel 2
License:	GPL
Group:		System/Servers
URL:		http://www.mezzo.net/asterisk/res_bonjour.html
Source0:	http://www.mezzo.net/asterisk/res_bonjour-%{version}.tar.bz2
BuildRequires:	asterisk-devel
BuildRequires:	libavahi-compat-libdns_sd-devel
Requires:	asterisk
Buildroot:	%{_tmppath}/%{name}-%{version}

%description
It is primarily for developers and admins who want their users of
client software for the Asterisk PBX not to worry about
configuration. Asterisk client software which supports res_bonjour
is for example the Asterisk Notification for OSX or simply a web
browser with Bonjour support like Safari or Microsoft Internet
Explorer with the Windows Bonjour Support from Apple. Bonjour is
not only supported on Mac OS and Windows but also on Unix.

%prep

%setup -q -n res_bonjour-%{version}

# fix cflags
perl -pi -e "s|^CFLAGS.*|CFLAGS=\"%{optflags} -pipe  -Wall -D_REENTRANT -D_GNU_SOURCE -fPIC -I%{_includedir}/avahi-compat-libdns_sd\"|g" cflags.sh

%build

%make 

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_sysconfdir}/asterisk
install -d %{buildroot}%{_libdir}/asterisk

install -m0644 bonjour.conf.sample %{buildroot}%{_sysconfdir}/asterisk/bonjour.conf
install -m0755 res_bonjour.so %{buildroot}%{_libdir}/asterisk/

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc CHANGES README
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/asterisk/bonjour.conf
%attr(0755,root,root) %{_libdir}/asterisk/res_bonjour.so



%changelog
* Thu Jun 19 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.0-2mdv2009.0
+ Revision: 226186
- rebuild

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 1.0-1mdv2008.1
+ Revision: 140690
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Tue Jun 13 2006 Oden Eriksson <oeriksson@mandriva.com> 1.0-1mdv2007.0
- 1.0

* Wed Feb 08 2006 Oden Eriksson <oeriksson@mandriva.com> 1.0-0.rc1.1mdk
- initial Mandriva package

